On this page
Retrieve the requested account
GET /api/v1/accounts/{id_or_username}Required Scopes
None (public endpoint).
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
id_or_username |
path | yes | string |
Request Body
None.
Responses
200
account available
Schema: account_output
account_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
username |
string | yes | |
name |
string | yes | |
summary |
string | yes | |
summary_html |
string | yes | |
instance |
string | yes | |
avatar |
object | yes | |
state |
string | yes | The account’s current sync status. - unknown: We don’t know anything about this account. It may not even exist. - loading: We have loaded this account’s direct information, and are currently loading the statuses. - loaded: We have loaded the data from this account. Note that this doesn’t mean we actually have 100% of the data. There could be new data we haven’t loaded yet, or that wasn’t delivered to us. Local and managed accounts always have a state of loaded. |
following_count |
integer | yes | |
followers_count |
integer | yes | |
like_id |
integer | yes |
